package m05bPiezasRepaEJB;
/**
 * This is the Primary Key for the Entity EJB <tt>m05PiezasRepa</tt>.
 */
public class m05PiezasRepaPK implements java.io.Serializable {

  /**
   * This is the primary key.
   * It is the PiezasReparacion codigo, which is the primary key
   * in table <tt>m0523T00</tt>.
   */
  public String pir_codigo;
  public String pir_orden;
  public String pir_pieza;
  /**
   * This is the equals method.
   * @param obj java.lang.Object
   * @return boolean
   */
  public boolean equals(Object obj) {
    if (obj instanceof m05PiezasRepaPK) {
      m05PiezasRepaPK otherKey = (m05PiezasRepaPK) obj;
      return ((this.pir_codigo == otherKey.pir_codigo)&& (this.pir_orden == otherKey.pir_orden) && (this.pir_pieza == otherKey.pir_pieza));
    }
    else
      return false;
  }

  /**
   * This is the hashCode method.
   * @return int
   */
  public int hashCode() {
    return (Integer.parseInt(this.pir_codigo)+Integer.parseInt(this.pir_orden)+Integer.parseInt(this.pir_pieza));
  }

}